--- old/usr/src/pkg/manifests/system-embedded-fcode-interpreter.mf	2014-04-11 13:24:14.602278499 +0100
+++ new/usr/src/pkg/manifests/system-embedded-fcode-interpreter.mf	2014-04-11 13:24:14.609373928 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -57,7 +58,7 @@
 dir path=usr group=sys
 dir path=usr/lib
 dir path=usr/lib/efcode
-dir path=usr/lib/efcode/$(ARCH64)
+$(BUILD64)dir path=usr/lib/efcode/$(ARCH64)
 dir path=usr/share/man/man1m
 driver name=fcode
 file path=etc/flash/postdeployment/efcode.cleanup group=sys mode=0744
@@ -70,16 +71,16 @@
 file path=lib/svc/manifest/platform/sun4v/efdaemon.xml group=sys mode=0444
 file path=platform/sun4u/kernel/misc/$(ARCH64)/gptwo_cpu group=sys mode=0755
 file path=platform/sun4u/kernel/misc/$(ARCH64)/gptwocfg group=sys mode=0755
-file path=usr/lib/efcode/$(ARCH64)/efdaemon mode=0555
-file path=usr/lib/efcode/$(ARCH64)/fcdriver.so
-file path=usr/lib/efcode/$(ARCH64)/fcode.so
-file path=usr/lib/efcode/$(ARCH64)/fcpackage.so
-file path=usr/lib/efcode/$(ARCH64)/fcthread.so
-file path=usr/lib/efcode/$(ARCH64)/interpreter mode=0555
-file path=usr/lib/efcode/$(ARCH64)/lfc_gptwo.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_jupiter.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_upa.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_upa_pci.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/efdaemon mode=0555
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcdriver.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcode.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcpackage.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcthread.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/interpreter mode=0555
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_gptwo.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_jupiter.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_upa.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_upa_pci.so
 file path=usr/lib/efcode/efcode.sh mode=0555
 file path=usr/share/man/man1m/efdaemon.1m
 legacy pkg=SUNWefc.u arch=$(ARCH).sun4u \
@@ -95,14 +96,22 @@
     name="Embedded FCode Interpreter"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_gptwo.so target=lfc_gptwo.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_jupiter.so \
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_gptwo.so \
+    target=lfc_gptwo.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_jupiter.so \
     target=lfc_jupiter.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v.so target=lfc_upa.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v_pciex.so target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v.so target=lfc_upa.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v_pciex.so \
+    target=lfc_upa_pci.so
